AutoCAD Architecture Customization
Welcome to Autodesk’s AutoCAD Architecture Customization Forums. Share your knowledge, ask questions, and explore popular AutoCAD Architecture Customization topics.
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Door Thickness

5 REPLIES 5
Reply
Message 1 of 6
Anonymous
1011 Views, 5 Replies

Door Thickness

Ok....I think I lost it or I am in a twilight zone episode.

to get the thickness of the door leaf I would use

door.LeafWidth

door being an AecDoor

I am getting a value of Zero for all my doors.

Peter and Mark...this is part of the code I sent you back regarding the Item
issue. My VBA code was only setting the schedule to Width x Height but I
realize I forgot Thickness. So I tried the above syntax and I get 0.

I probably and looking at the wrong thing.....please say so.

Thanks

--
Rob Starz
rob@stardsign.com
Plogv 3.0 & 2000 (plot logging) for r14 & 2000
***Enhancement Tools for Arch. Desktop *****
http://www.stardsign.com/main.htm
StarDsign cad solution
5 REPLIES 5
Message 2 of 6
Anonymous
in reply to: Anonymous

????

--
Rob Starz
rob@stardsign.com
Plogv 3.0 & 2000 (plot logging) for r14 & 2000
***Enhancement Tools for Arch. Desktop *****
http://www.stardsign.com/main.htm
StarDsign cad solution
Message 3 of 6
Anonymous
in reply to: Anonymous

The thickness of the door leaf is the same as the thickness of the door
itself.

The LeafWidth value should only apply to Uneven door styles. Unfortunately,
the default value is set to 12 and that is what's returned whether or not it
is an uneven door.

Hope this helps.

Scott Arvin [Autodesk]

"Rob Starz" wrote in message
news:1BC5C25C182FFA70F0B805AF5B10166C@in.WebX.maYIadrTaRb...
> Ok....I think I lost it or I am in a twilight zone episode.
>
> to get the thickness of the door leaf I would use
>
> door.LeafWidth
>
> door being an AecDoor
>
> I am getting a value of Zero for all my doors.
>
> Peter and Mark...this is part of the code I sent you back regarding the
Item
> issue. My VBA code was only setting the schedule to Width x Height but I
> realize I forgot Thickness. So I tried the above syntax and I get 0.
>
> I probably and looking at the wrong thing.....please say so.
>
> Thanks
>
> --
> Rob Starz
> rob@stardsign.com
> Plogv 3.0 & 2000 (plot logging) for r14 & 2000
> ***Enhancement Tools for Arch. Desktop *****
> http://www.stardsign.com/main.htm
> StarDsign cad solution
>
Message 4 of 6
Anonymous
in reply to: Anonymous

Ok...so my question is how do I extract the door thickness for my schedule
3'-0"x 7'-0"x1 3/4"

I need the 1 3/4" portion. I don't see this exposed in ActiveX. Or I
maybe overlooking it.

Additionally why would the Door.Thickness return the Width. Those are 2
different variables. Length, Width, Heigth

Were does Thickness far in the 3?

Currently I have my code set up to add
& "1 3/4"" to the end of the combined width and height. When the time comes
and I have a door that is different I need to know how to change this.

Thanks

--
Rob Starz
rob@stardsign.com
Plogv 3.0 & 2000 (plot logging) for r14 & 2000
***Enhancement Tools for Arch. Desktop *****
http://www.stardsign.com/main.htm
StarDsign cad solution

"Scott Arvin [Autodesk]" wrote in message
news:BC2C22D128D51F1DD51340627097EFC4@in.WebX.maYIadrTaRb...
> The thickness of the door leaf is the same as the thickness of the door
> itself.
>
> The LeafWidth value should only apply to Uneven door styles.
Unfortunately,
> the default value is set to 12 and that is what's returned whether or not
it
> is an uneven door.
>
> Hope this helps.
>
> Scott Arvin [Autodesk]
>
> "Rob Starz" wrote in message
> news:1BC5C25C182FFA70F0B805AF5B10166C@in.WebX.maYIadrTaRb...
> > Ok....I think I lost it or I am in a twilight zone episode.
> >
> > to get the thickness of the door leaf I would use
> >
> > door.LeafWidth
> >
> > door being an AecDoor
> >
> > I am getting a value of Zero for all my doors.
> >
> > Peter and Mark...this is part of the code I sent you back regarding the
> Item
> > issue. My VBA code was only setting the schedule to Width x Height but
I
> > realize I forgot Thickness. So I tried the above syntax and I get 0.
> >
> > I probably and looking at the wrong thing.....please say so.
> >
> > Thanks
> >
> > --
> > Rob Starz
> > rob@stardsign.com
> > Plogv 3.0 & 2000 (plot logging) for r14 & 2000
> > ***Enhancement Tools for Arch. Desktop *****
> > http://www.stardsign.com/main.htm
> > StarDsign cad solution
> >
>
Message 5 of 6
Anonymous
in reply to: Anonymous

The thickness is style-based. How about this:

Sub DoorThickness()

Dim pnt As Variant
Dim obj As AcadObject

ThisDrawing.Utility.GetEntity obj, pnt, "Pick a door"

If Not TypeOf obj Is AecDoor Then
ThisDrawing.Utility.Prompt "Not a door."
Exit Sub
End If

Dim door As AecDoor
Set door = obj

ThisDrawing.Utility.Prompt "Door thickness: " & door.Style.thickness &
vbCrLf

End Sub

Jim Paquette
Autodesk, Inc.
Message 6 of 6
Anonymous
in reply to: Anonymous

That did the trick. I overlooked that I could get this from the Style. It
only makes sense that it would come from there.

Thanks for the help

--
Rob Starz
rob@stardsign.com
Plogv 3.0 & 2000 (plot logging) for r14 & 2000
***Enhancement Tools for Arch. Desktop *****
http://www.stardsign.com/main.htm
StarDsign cad solution

"James Paquette (Autodesk)" wrote in message
news:B710187A19275A9D34AAF9EE407D8A62@in.WebX.maYIadrTaRb...
> The thickness is style-based. How about this:
>
> Sub DoorThickness()
>
> Dim pnt As Variant
> Dim obj As AcadObject
>
> ThisDrawing.Utility.GetEntity obj, pnt, "Pick a door"
>
> If Not TypeOf obj Is AecDoor Then
> ThisDrawing.Utility.Prompt "Not a door."
> Exit Sub
> End If
>
> Dim door As AecDoor
> Set door = obj
>
> ThisDrawing.Utility.Prompt "Door thickness: " & door.Style.thickness &
> vbCrLf
>
> End Sub
>
> Jim Paquette
> Autodesk, Inc.
>

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk Design & Make Report

”Boost